#-------------------------------------------------
#
# Project created by QtCreator 2018-08-29T09:12:54
#
#-------------------------------------------------

TEMPLATE = app
TARGET   = corefm

QT      += widgets dbus concurrent

VERSION  = 4.1.0

LIBS    += -lcprime -lcsys

INCLUDEPATH += . io models views ui

# thread - Enable threading support
# silent - Do not print the compilation syntax
CONFIG  += thread silent

# Disable QDebug on Release build
CONFIG(release, debug|release):DEFINES += QT_NO_DEBUG_OUTPUT

# Warn about deprecated features
DEFINES += QT_DEPRECATED_WARNINGS
# Disable all deprecated features before Qt 5.15
DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x051500
DEFINES += _UNICODE

# Build section
BUILD_PREFIX = $$(CA_BUILD_DIR)

isEmpty( BUILD_PREFIX ) {
        BUILD_PREFIX = ./build
}

MOC_DIR       = $$BUILD_PREFIX/moc-qt5
OBJECTS_DIR   = $$BUILD_PREFIX/obj-qt5
RCC_DIR	      = $$BUILD_PREFIX/qrc-qt5
UI_DIR        = $$BUILD_PREFIX/uic-qt5

# C++17 Support for Qt5
QMAKE_CXXFLAGS += -std=c++17

unix {
	isEmpty(PREFIX) {
		PREFIX = /usr
	}

	BINDIR = $$PREFIX/bin

	target.path = $$BINDIR

	desktop.path = $$PREFIX/share/applications/
        desktop.files = "corefm.desktop"

        icons.path = $$PREFIX/share/icons/hicolor/scalable/apps/
        icons.files = corefm.svg

	INSTALLS += target icons desktop
}

RESOURCES += \
    icons.qrc

FORMS += \
    corefm.ui \
    ui/filedialog.ui \
    ui/propertiesw.ui

HEADERS += \
    corefm.h \
    io/dirtree.hpp \
    models/filesystemmodel.hpp \
    models/trashmodel.hpp \
    ui/filedialog.h \
    ui/folderview.hpp \
    ui/propertiesw.hpp \
    views/filesystemview.hpp \
    views/trashview.hpp \
    global.hpp

SOURCES += \
    main.cpp \
    corefm.cpp \
    io/dirtree.cpp \
    models/filesystemmodel.cpp \
    models/trashmodel.cpp \
    ui/contextmenu.cpp \
    ui/filedialog.cpp \
    ui/folderview.cpp \
    ui/propertiesw.cpp \
    views/filesystemview.cpp \
    views/trashview.cpp
