#ifndef FILEDIALOG_H
#define FILEDIALOG_H

#include <QDialog>
#include <QDir>

#include <cprime/infofunc.h>
#include <cprime/corexdg.h>

namespace Ui {
class filedialog;
}

class filedialog : public QDialog
{
    Q_OBJECT

public:
    enum Mode {
            NewFolder = 0x21A7F9,
            NewFile,
            Rename
        };

    explicit filedialog( filedialog::Mode mode, QDir dir, QString text = QString(), QWidget *parent = nullptr );
    ~filedialog();

    QString getCurrentText() const;
    QString name();

private:
    void setWindowProperties();

    QDir dir;
    QString data;

    filedialog::Mode dlgMode;

public Q_SLOTS:
    void accept();

private slots :
    void cancel();
    void handleTextChanged( QString newText );

private:
    Ui::filedialog *ui;

    void shotcuts();

};

#endif // FILEDIALOG_H
